### Method

# GIRepository ConstantInfo get_value

since: 2.80

#### Declaration [src]

    size_t
    gi_constant_info_get_value (
      GIConstantInfo* info,
      GIArgument* value
    )

#### Description [src]

Obtain the value associated with the `GIConstantInfo` and store it in the `value` parameter.

`argument` needs to be allocated before passing it in.

The size of the constant value (in bytes) stored in `argument` will be returned.

Free the value with `gi_constant_info_free_value()`.

Available since: 2.80

This method is not directly available to language bindings.

#### Parameters

`value`

  Type: `GIArgument`

  An argument.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `size_t`

Size of the constant, in bytes.